from common import log, queries

def process_event(self, connection, event):
    log.info(event) # Log to console.

    # Get and update resources.
    user = queries.create_or_get_and_update_last_event(self, 'user', 'sq', user_name=event.source.nick)#, extra_content=event.)

    # # Update protectees.
    # if event.source.nick in self.protectees:    # Protectee parted home channel.
    #     del self.protectees[event.source.nick] # Delete from protectees.
